Active Hyperliquid prediction targets
curl --request GET \
--url https://api.vatic.trading/api/v1/hyperliquid/targets/active \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vatic.trading/api/v1/hyperliquid/targets/active"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vatic.trading/api/v1/hyperliquid/targets/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vatic.trading/api/v1/hyperliquid/targets/active",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vatic.trading/api/v1/hyperliquid/targets/active"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vatic.trading/api/v1/hyperliquid/targets/active")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vatic.trading/api/v1/hyperliquid/targets/active")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"now": "2026-05-03T10:20:04.943Z",
"slug": "btc-above-78213-yes-may-04-0600",
"source": "hyperliquid",
"results": [
{
"outcomeId": 1,
"marketSlug": "btc-above-78213-may-04-0600",
"yesSlug": "btc-above-78213-yes-may-04-0600",
"noSlug": "btc-above-78213-no-may-04-0600",
"tradeUrls": {
"yes": "https://app.hyperliquid.xyz/trade/btc-above-78213-yes-may-04-0600",
"no": "https://app.hyperliquid.xyz/trade/btc-above-78213-no-may-04-0600"
},
"underlying": "BTC",
"marketClass": "priceBinary",
"period": "1d",
"windowStart": 1777788000,
"windowStartIso": "2026-05-03T06:00:00.000Z",
"expiry": 1777874400,
"expiryIso": "2026-05-04T06:00:00.000Z",
"source": "hyperliquid",
"price": 78213,
"yesPrice": 0.592455,
"noPrice": 0.407545,
"question": "BTC above 78213 at 2026-05-04T06:00:00.000Z"
}
]
}Hyperliquid
Hyperliquid Active Targets
Returns the currently active Hyperliquid prediction markets from the live outcome catalog. Pass an official Hyperliquid trade slug to scope the response to one market, or omit slug to return all active markets. price is the market targetPrice, while yesPrice and noPrice are the current side mids.
GET
/
api
/
v1
/
hyperliquid
/
targets
/
active
Active Hyperliquid prediction targets
curl --request GET \
--url https://api.vatic.trading/api/v1/hyperliquid/targets/active \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vatic.trading/api/v1/hyperliquid/targets/active"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vatic.trading/api/v1/hyperliquid/targets/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vatic.trading/api/v1/hyperliquid/targets/active",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vatic.trading/api/v1/hyperliquid/targets/active"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vatic.trading/api/v1/hyperliquid/targets/active")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vatic.trading/api/v1/hyperliquid/targets/active")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"now": "2026-05-03T10:20:04.943Z",
"slug": "btc-above-78213-yes-may-04-0600",
"source": "hyperliquid",
"results": [
{
"outcomeId": 1,
"marketSlug": "btc-above-78213-may-04-0600",
"yesSlug": "btc-above-78213-yes-may-04-0600",
"noSlug": "btc-above-78213-no-may-04-0600",
"tradeUrls": {
"yes": "https://app.hyperliquid.xyz/trade/btc-above-78213-yes-may-04-0600",
"no": "https://app.hyperliquid.xyz/trade/btc-above-78213-no-may-04-0600"
},
"underlying": "BTC",
"marketClass": "priceBinary",
"period": "1d",
"windowStart": 1777788000,
"windowStartIso": "2026-05-03T06:00:00.000Z",
"expiry": 1777874400,
"expiryIso": "2026-05-04T06:00:00.000Z",
"source": "hyperliquid",
"price": 78213,
"yesPrice": 0.592455,
"noPrice": 0.407545,
"question": "BTC above 78213 at 2026-05-04T06:00:00.000Z"
}
]
}This authenticated endpoint returns the currently active Hyperliquid prediction markets and their contract terms. Pass an official Hyperliquid trade slug like
btc-above-78213-yes-may-04-0600, or omit slug to return the full live catalog. price is the contract’s targetPrice, while yesPrice and noPrice are the current side mids from Hyperliquid.Authorizations
Required for order endpoints. Obtain your API key from the Vatic dashboard.
Query Parameters
Optional official Hyperliquid trade slug, or the full Hyperliquid trade URL. If omitted, returns all active Hyperliquid prediction markets currently in the live catalog.
Example:
"btc-above-78213-yes-may-04-0600"
Response
Active Hyperliquid target markets
Was this page helpful?